
Redmine - Defect #15261

Attachments are downloaded instead of being viewed inline

2013-11-05 01:35 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.3

Description

Redmine 2.3.x doesn't show attachments inline.

Steps to reproduce

1. Create issue

2. Attach small text file

3. Click on attached file

Expected result

1. File is shown inline

Actual result

1. File is downloaded

Example

1. http://demo.redmine.org/issues/28255

2. http://demo.redmine.org/projects/pfrb/wiki

History

#1 - 2013-11-05 03:50 - Mischa The Evil

- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

Sergey B wrote:

3. Click on attached file

It is designed in such a way that when you click on:

attachment name: download is forced

magnifier icon to the right of the attachment name: file in shown

This is exactly the behavior I see in both the example URLs you posted.

Please provide some more details.

#2 - 2013-11-05 07:32 - Anonymous

Yes. I didn't notice that the the icon is clickable. I thought, that this icon is just a decoration, because the same magnifier in 'add relate issue' field

does nothing.

#3 - 2013-11-06 06:09 - Mischa The Evil

- Status changed from Needs feedback to Closed

- Resolution changed from Cant reproduce to Invalid
Thanks for your feedback.

Yes. I didn't notice that the the icon is clickable. I thought, that this icon is just a decoration, because the same magnifier in 'add relate issue' field

does nothing.

 Well, it's clickable in the context of attachments. In the context of input fields the icon is used only to indicate that the field has auto-complete search

enabled hence it's not clickable.

To be complete:

The filename link triggers a download of the attachment by default (where images are sent inline), and the magnifier ( magnifier.png  ) icon

(introduced here for #4774 and which is shown only for text files) links to a view that shows the file contents (where diff and patch files on their turn

are shown using Redmine's Unified diff viewer).
